package leigh.astro.control;

/**
 * Classes implementing this interface represent a telescope mount.
 *
 * @author Alex Leigh
 */
public interface TelescopeMount {
    /**
     * Return the science telescope's focal length in millimeters.
     *
     * @return The focal length in mm.
     */
    double getFocalLength();

    /**
     * Return the science telescope's aperture in millimeters.
     *
     * @return The aperture in mm.
     */
    double getAperture();

    /**
     * Return the guide scope's focal length in millimeters.
     *
     * @return The focal length in mm.
     */
    double getGuideFocalLength();

    /**
     * Return the guide scope's aperture in millimeters.
     *
     * @return The aperture in mm.
     */
    double getGuideAperture();
}
